Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.util
Class JmsLogAppenderSupport

    java.lang.Object
      org.apache.log4j.AppenderSkeleton
          org.codehaus.activemq.util.JmsLogAppenderSupport

All Implemented Interfaces:
  org.apache.log4j.Appender, org.apache.log4j.spi.OptionHandler

Direct Known Subclasses:
  JmsLogAppender, JndiJmsLogAppender

public abstract class JmsLogAppenderSupport
extends org.apache.log4j.AppenderSkeleton

An abstract base class for implementation inheritence for a log4j JMS appender

Version:
  $Revision: 1.1 $

Field Summary
`static int` | `JMS_PUBLISH_ERROR_CODE`

Fields inherited from class org.apache.log4j.AppenderSkeleton
`closed, errorHandler, headFilter, layout, name, tailFilter, threshold`

Constructor Summary
`JmsLogAppenderSupport()`

Method Summary
`void` | `activateOptions()`
`protected void` | `append(org.apache.log4j.spi.LoggingEvent event)`
`void` | `close()`
`protected abstract Connection` | `createConnection()`
`protected Message` | `createMessage(org.apache.log4j.spi.LoggingEvent event)`
`protected MessageProducer` | `createProducer()`
`protected Session` | `createSession()`
`Connection` | `getConnection()`
`protected Destination` | `getDestination(org.apache.log4j.spi.LoggingEvent event)`
`MessageProducer` | `getProducer()`
`Session` | `getSession()`
`boolean` | `requiresLayout()`
`void` | `setConnection(Connection connection)`
`void` | `setProducer(MessageProducer producer)`
`void` | `setSession(Session session)`

Methods inherited from class org.apache.log4j.AppenderSkeleton
`addFilter, clearFilters, doAppend, finalize, getErrorHandler, getFilter, getFirstFilter, getLayout, getName, getThreshold, isAsSevereAsThreshold, setErrorHandler, setLayout, setName, setThreshold`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JMS_PUBLISH_ERROR_CODE

    public static final int JMS_PUBLISH_ERROR_CODE

See Also:
  Constant Field Values

Constructor Detail

### JmsLogAppenderSupport

    public JmsLogAppenderSupport()

Method Detail

### getConnection

    public Connection getConnection()
                             throws JMSException,
                                    javax.naming.NamingException

  Throws:
    `JMSException`
    `javax.naming.NamingException`

### setConnection

    public void setConnection(Connection connection)

### getSession

    public Session getSession()
                       throws JMSException,
                              javax.naming.NamingException

  Throws:
    `JMSException`
    `javax.naming.NamingException`

### setSession

    public void setSession(Session session)

### getProducer

    public MessageProducer getProducer()
                                throws JMSException,
                                       javax.naming.NamingException

  Throws:
    `JMSException`
    `javax.naming.NamingException`

### setProducer

    public void setProducer(MessageProducer producer)

### close

    public void close()

### requiresLayout

    public boolean requiresLayout()

### activateOptions

    public void activateOptions()

### createConnection

    protected abstract Connection createConnection()
                                            throws JMSException,
                                                   javax.naming.NamingException

  Throws:
    `JMSException`
    `javax.naming.NamingException`

### createSession

    protected Session createSession()
                             throws JMSException,
                                    javax.naming.NamingException

  Throws:
    `JMSException`
    `javax.naming.NamingException`

### createProducer

    protected MessageProducer createProducer()
                                      throws JMSException,
                                             javax.naming.NamingException

  Throws:
    `JMSException`
    `javax.naming.NamingException`

### append

    protected void append(org.apache.log4j.spi.LoggingEvent event)

### createMessage

    protected Message createMessage(org.apache.log4j.spi.LoggingEvent event)
                             throws JMSException,
                                    javax.naming.NamingException

  Throws:
    `JMSException`
    `javax.naming.NamingException`

### getDestination

    protected Destination getDestination(org.apache.log4j.spi.LoggingEvent event)
                                  throws JMSException,
                                         javax.naming.NamingException

  Throws:
    `JMSException`
    `javax.naming.NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.